package com.kfb.kfbv1.model;

import java.util.HashMap;

public class KfbMapColor {
        private static HashMap<String, Integer> mKolor;

        KfbMapColor(){
            mKolor = new HashMap<>();
            mKolor.put("16,0",0XFF0000FF);
            mKolor.put("16,1",0XFF0000FF);
            mKolor.put("16,2",0XFF027721);
            mKolor.put("16,3",0XFF04ED43);
            mKolor.put("16,4",0XFF076366);
            mKolor.put("16,5",0XFF09D988);
            mKolor.put("16,6",0XFF0C4FAB);
            mKolor.put("16,7",0XFF0EC5CD);
            mKolor.put("16,8",0XFF113BF0);
            mKolor.put("16,9",0XFF13B212);
            mKolor.put("17,0",0XFF162835);
            mKolor.put("17,1",0XFF189E57);
            mKolor.put("17,2",0XFF1B147A);
            mKolor.put("17,3",0XFF1D8A9C);
            mKolor.put("17,4",0XFF2000BF);
            mKolor.put("17,5",0XFF2276E1);
            mKolor.put("17,6",0XFF24ED04);
            mKolor.put("17,7",0XFF276326);
            mKolor.put("17,8",0XFF29D949);
            mKolor.put("17,9",0XFF2C4F6B);
            mKolor.put("18,0",0XFF2EC58D);
            mKolor.put("18,1",0XFF313BB0);
            mKolor.put("18,2",0XFF33B1D2);
            mKolor.put("18,3",0XFF3627F5);
            mKolor.put("18,4",0XFF389E17);
            mKolor.put("18,5",0XFF3B143A);
            mKolor.put("18,6",0XFF3D8A5C);
            mKolor.put("18,7",0XFF40007F);
            mKolor.put("18,8",0XFF4276A1);
            mKolor.put("18,9",0XFF44ECC4);
            mKolor.put("19,0",0XFF4762E6);
            mKolor.put("19,1",0XFF49D909);
            mKolor.put("19,2",0XFF4C4F2B);
            mKolor.put("19,3",0XFF4EC54E);
            mKolor.put("19,4",0XFF513B70);
            mKolor.put("19,5",0XFF53B193);
            mKolor.put("19,6",0XFF5627B5);
            mKolor.put("19,7",0XFF589DD7);
            mKolor.put("19,8",0XFF5B13FA);
            mKolor.put("19,9",0XFF5D8A1C);
            mKolor.put("20,0",0XFF60003F);
            mKolor.put("20,1",0XFF627661);
            mKolor.put("20,2",0XFF64EC84);
            mKolor.put("20,3",0XFF6762A6);
            mKolor.put("20,4",0XFF69D8C9);
            mKolor.put("20,5",0XFF6C4EEB);
            mKolor.put("20,6",0XFF6EC50E);
            mKolor.put("20,7",0XFF713B30);
            mKolor.put("20,8",0XFF73B153);
            mKolor.put("20,9",0XFF762775);
            mKolor.put("21,0",0XFF789D98);
            mKolor.put("21,1",0XFF7B13BA);
            mKolor.put("21,2",0XFF7D89DD);
            mKolor.put("21,3",0XFF7FFFFF);
            mKolor.put("21,4",0XFF827621);
            mKolor.put("21,5",0XFF84EC44);
            mKolor.put("21,6",0XFF876266);
            mKolor.put("21,7",0XFF89D889);
            mKolor.put("21,8",0XFF8C4EAB);
            mKolor.put("21,9",0XFF8EC4CE);
            mKolor.put("22,0",0XFF913AF0);
            mKolor.put("22,1",0XFF93B113);
            mKolor.put("22,2",0XFF962735);
            mKolor.put("22,3",0XFF989D58);
            mKolor.put("22,4",0XFF9B137A);
            mKolor.put("22,5",0XFF9D899D);
            mKolor.put("22,6",0XFF9FFFBF);
            mKolor.put("22,7",0XFFA275E2);
            mKolor.put("22,8",0XFFA4EC04);
            mKolor.put("22,9",0XFFA76227);
            mKolor.put("23,0",0XFFA9D849);
            mKolor.put("23,1",0XFFAC4E6B);
            mKolor.put("23,2",0XFFAEC48E);
            mKolor.put("23,3",0XFFB13AB0);
            mKolor.put("23,4",0XFFB3B0D3);
            mKolor.put("23,5",0XFFB626F5);
            mKolor.put("23,6",0XFFB89D18);
            mKolor.put("23,7",0XFFBB133A);
            mKolor.put("23,8",0XFFBD895D);
            mKolor.put("23,9",0XFFBFFF7F);
            mKolor.put("24,0",0XFFC275A2);
            mKolor.put("24,1",0XFFC4EBC4);
            mKolor.put("24,2",0XFFC761E7);
            mKolor.put("24,3",0XFFC9D809);
            mKolor.put("24,4",0XFFCC4E2C);
            mKolor.put("24,5",0XFFCEC44E);
            mKolor.put("24,6",0XFFD13A71);
            mKolor.put("24,7",0XFFD3B093);
            mKolor.put("24,8",0XFFD626B5);
            mKolor.put("24,9",0XFFD89CD8);
            mKolor.put("25,0",0XFFDB12FA);
            mKolor.put("25,1",0XFFDD891D);
            mKolor.put("25,2",0XFFDFFF3F);
            mKolor.put("25,3",0XFFE27562);
            mKolor.put("25,4",0XFFE4EB84);
            mKolor.put("25,5",0XFFE761A7);
            mKolor.put("25,6",0XFFE9D7C9);
            mKolor.put("25,7",0XFFEC4DEC);
            mKolor.put("25,8",0XFFEEC40E);
            mKolor.put("25,9",0XFFF13A31);
            mKolor.put("26,0",0XFFF3B053);
            mKolor.put("26,1",0XFFF62676);
            mKolor.put("26,2",0XFFF89C98);
            mKolor.put("26,3",0XFFFB12BB);
            mKolor.put("26,4",0XFFFD88DD);
            mKolor.put("26,5",0XFFFFFEFF);
            mKolor.put("26,6",0XFFFFFF00);
            mKolor.put("26,7",0XFFFFFCBE);
            mKolor.put("26,8",0XFFFFFA7C);
            mKolor.put("26,9",0XFFFFF83A);
            mKolor.put("27,0",0XFFFFF5F9);
            mKolor.put("27,1",0XFFFFF3B7);
            mKolor.put("27,2",0XFFFFF175);
            mKolor.put("27,3",0XFFFFEF34);
            mKolor.put("27,4",0XFFFFECF2);
            mKolor.put("27,5",0XFFFFEAB0);
            mKolor.put("27,6",0XFFFFE86F);
            mKolor.put("27,7",0XFFFFE62D);
            mKolor.put("27,8",0XFFFFE3EB);
            mKolor.put("27,9",0XFFFFE1A9);
            mKolor.put("28,0",0XFFFFDF68);
            mKolor.put("28,1",0XFFFFDD26);
            mKolor.put("28,2",0XFFFFDAE4);
            mKolor.put("28,3",0XFFFFD8A3);
            mKolor.put("28,4",0XFFFFD661);
            mKolor.put("28,5",0XFFFFD41F);
            mKolor.put("28,6",0XFFFFD1DE);
            mKolor.put("28,7",0XFFFFCF9C);
            mKolor.put("28,8",0XFFFFCD5A);
            mKolor.put("28,9",0XFFFFCB18);
            mKolor.put("29,0",0XFFFFC8D7);
            mKolor.put("29,1",0XFFFFC695);
            mKolor.put("29,2",0XFFFFC453);
            mKolor.put("29,3",0XFFFFC212);
            mKolor.put("29,4",0XFFFFBFD0);
            mKolor.put("29,5",0XFFFFBD8E);
            mKolor.put("29,6",0XFFFFBB4D);
            mKolor.put("29,7",0XFFFFB90B);
            mKolor.put("29,8",0XFFFFB6C9);
            mKolor.put("29,9",0XFFFFB487);
            mKolor.put("30,0",0XFFFFB246);
            mKolor.put("30,1",0XFFFFB004);
            mKolor.put("30,2",0XFFFFADC2);
            mKolor.put("30,3",0XFFFFAB81);
            mKolor.put("30,4",0XFFFFA93F);
            mKolor.put("30,5",0XFFFFA6FD);
            mKolor.put("30,6",0XFFFFA4BC);
            mKolor.put("30,7",0XFFFFA27A);
            mKolor.put("30,8",0XFFFFA038);
            mKolor.put("30,9",0XFFFF9DF6);
            mKolor.put("31,0",0XFFFF9BB5);
            mKolor.put("31,1",0XFFFF9973);
            mKolor.put("31,2",0XFFFF9731);
            mKolor.put("31,3",0XFFFF94F0);
            mKolor.put("31,4",0XFFFF92AE);
            mKolor.put("31,5",0XFFFF906C);
            mKolor.put("31,6",0XFFFF8E2B);
            mKolor.put("31,7",0XFFFF8BE9);
            mKolor.put("31,8",0XFFFF89A7);
            mKolor.put("31,9",0XFFFF8765);
            mKolor.put("32,0",0XFFFF8524);
            mKolor.put("32,1",0XFFFF82E2);
            mKolor.put("32,2",0XFFFF80A0);
            mKolor.put("32,3",0XFFFF7E5F);
            mKolor.put("32,4",0XFFFF7C1D);
            mKolor.put("32,5",0XFFFF79DB);
            mKolor.put("32,6",0XFFFF779A);
            mKolor.put("32,7",0XFFFF7558);
            mKolor.put("32,8",0XFFFF7316);
            mKolor.put("32,9",0XFFFF70D4);
            mKolor.put("33,0",0XFFFF6E93);
            mKolor.put("33,1",0XFFFF6C51);
            mKolor.put("33,2",0XFFFF6A0F);
            mKolor.put("33,3",0XFFFF67CE);
            mKolor.put("33,4",0XFFFF658C);
            mKolor.put("33,5",0XFFFF634A);
            mKolor.put("33,6",0XFFFF6109);
            mKolor.put("33,7",0XFFFF5EC7);
            mKolor.put("33,8",0XFFFF5C85);
            mKolor.put("33,9",0XFFFF5A43);
            mKolor.put("34,0",0XFFFF5802);
            mKolor.put("34,1",0XFFFF55C0);
            mKolor.put("34,2",0XFFFF537E);
            mKolor.put("34,3",0XFFFF513D);
            mKolor.put("34,4",0XFFFF4EFB);
            mKolor.put("34,5",0XFFFF4CB9);
            mKolor.put("34,6",0XFFFF4A78);
            mKolor.put("34,7",0XFFFF4836);
            mKolor.put("34,8",0XFFFF45F4);
            mKolor.put("34,9",0XFFFF43B2);
            mKolor.put("35,0",0XFFFF4171);
            mKolor.put("35,1",0XFFFF3F2F);
            mKolor.put("35,2",0XFFFF3CED);
            mKolor.put("35,3",0XFFFF3AAC);
            mKolor.put("35,4",0XFFFF386A);
            mKolor.put("35,5",0XFFFF3628);
            mKolor.put("35,6",0XFFFF33E7);
            mKolor.put("35,7",0XFFFF31A5);
            mKolor.put("35,8",0XFFFF2F63);
            mKolor.put("35,9",0XFFFF2D21);
            mKolor.put("36,0",0XFFFF2AE0);
            mKolor.put("36,1",0XFFFF289E);
            mKolor.put("36,2",0XFFFF265C);
            mKolor.put("36,3",0XFFFF241B);
            mKolor.put("36,4",0XFFFF21D9);
            mKolor.put("36,5",0XFFFF1F97);
            mKolor.put("36,6",0XFFFF1D56);
            mKolor.put("36,7",0XFFFF1B14);
            mKolor.put("36,8",0XFFFF18D2);
            mKolor.put("36,9",0XFFFF1690);
            mKolor.put("37,0",0XFFFF144F);
            mKolor.put("37,1",0XFFFF120D);
            mKolor.put("37,2",0XFFFF0FCB);
            mKolor.put("37,3",0XFFFF0D8A);
            mKolor.put("37,4",0XFFFF0B48);
            mKolor.put("37,5",0XFFFF0906);
            mKolor.put("37,6",0XFFFF06C5);
            mKolor.put("37,7",0XFFFF0483);
            mKolor.put("37,8",0XFFFF0241);
            mKolor.put("37,9",0XFFFEFFFF);
            mKolor.put("38,0",0XFFFF0000);


        }
        public Integer getKolor(String aTem)
        {
            return mKolor.get(aTem);
        }
}
